Bug 1347506 - drupal7: Saving user accounts can sometimes grant the user all roles
Summary: drupal7: Saving user accounts can sometimes grant the user all roles
Keywords:
Status: CLOSED DUPLICATE of bug 1351214
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1347507 1347508
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 06:34 UTC by Andrej Nemec
Modified: 2021-02-17 03:42 UTC (History)
5 users (show)

Fixed In Version: drupal 7.44.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 13:36:28 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-06-17 06:34:28 UTC
A vulnerability exists in the User module, where if some specific contributed or custom code triggers a rebuild of the user profile form, a registered user can be granted all user roles on the site. This would typically result in the user gaining administrative access.

This issue is mitigated by the fact that it requires contributed or custom code that performs a form rebuild during submission of the user profile form.

External references:

https://www.drupal.org/SA-CORE-2016-002

Comment 1 Andrej Nemec 2016-06-17 06:35:11 UTC
Created drupal7 tracking bugs for this issue:

Affects: fedora-all [bug 1347507]
Affects: epel-all [bug 1347508]

Comment 2 Andrej Nemec 2016-06-29 13:36:28 UTC

*** This bug has been marked as a duplicate of bug 1351214 ***


Note You need to log in before you can comment on or make changes to this bug.